<?php

	$vw_job_board_custom_css= "";

	/*----------------------First highlight color-------------------*/

	$vw_job_board_first_color = get_theme_mod('vw_job_board_first_color');

	if($vw_job_board_first_color != false){
		$vw_job_board_custom_css .='.topbar, #preloader, #footer-2, .pagination a:hover, .pagination .current:hover{';
			$vw_job_board_custom_css .='background-color: '.esc_attr($vw_job_board_first_color).';';
		$vw_job_board_custom_css .='}';
	}

	if($vw_job_board_first_color != false){
		$vw_job_board_custom_css .='.main-navigation a:hover, .main-navigation ul ul a:hover, #slider .inner_carousel h1 a:hover, #featured-job-section h3 a:hover, .post-main-box:hover h2 a, .post-main-box:hover .post-info span a, .single-post .post-info:hover a, .middle-bar h6, .post-main-box:hover h3 a,#sidebar ul li a:hover, #footer li a:hover,.post-navigation a:hover .post-title, .post-navigation a:focus .post-title,.post-navigation a:hover,.post-navigation a:focus{';
			$vw_job_board_custom_css .='color: '.esc_attr($vw_job_board_first_color).';';
		$vw_job_board_custom_css .='}';
	}

	/*----------------------Second highlight color-------------------*/

	$vw_job_board_second_color = get_theme_mod('vw_job_board_second_color');

	if($vw_job_board_first_color != false || $vw_job_board_second_color != false){
		$vw_job_board_custom_css .='.main-header .header-btn a, #featured-job-section .featured-cat-btn a, .slide-search input[type="submit"], .view-all-btn a,.more-btn a,#comments input[type="submit"],#comments a.comment-reply-link,input[type="submit"],.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,nav.woocommerce-MyAccount-navigation ul li,.pro-button a, .woocommerce a.added_to_cart.wc-forward, #footer .wp-block-search .wp-block-search__button, #sidebar .wp-block-search .wp-block-search__button, .scrollup i, #sidebar h3, #sidebar .tagcloud a:hover, .woocommerce span.onsale{
		background: transparent linear-gradient(126deg, '.esc_attr($vw_job_board_second_color).' 0%, '.esc_attr($vw_job_board_first_color).' 100%) 0% 0% no-repeat;
		}';
	}

	$vw_job_board_custom_css .='@media screen and (max-width:1000px) {';
		if($vw_job_board_first_color != false){
			$vw_job_board_custom_css .='.main-navigation a:hover{
				color:'.esc_attr($vw_job_board_first_color).' !important;
			}';
		}

		if($vw_job_board_first_color != false || $vw_job_board_second_color != false){
			$vw_job_board_custom_css .='.toggle-nav i{
				background: transparent linear-gradient(126deg, '.esc_attr($vw_job_board_second_color).' 0%, '.esc_attr($vw_job_board_first_color).' 100%) 0% 0% no-repeat;
			}';
		}
	$vw_job_board_custom_css .='}';

	/*---------------------------Width Layout -------------------*/

	$vw_job_board_theme_lay = get_theme_mod( 'vw_job_board_width_option','Wide Width');
    if($vw_job_board_theme_lay == 'Boxed'){
		$vw_job_board_custom_css .='body{';
			$vw_job_board_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$vw_job_board_custom_css .='}';
		$vw_job_board_custom_css .='.scrollup i{';
			$vw_job_board_custom_css .='right: 100px;';
		$vw_job_board_custom_css .='}';
	}else if($vw_job_board_theme_lay == 'Wide Width'){
		$vw_job_board_custom_css .='body{';
			$vw_job_board_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$vw_job_board_custom_css .='}';
	}else if($vw_job_board_theme_lay == 'Full Width'){
		$vw_job_board_custom_css .='body{';
			$vw_job_board_custom_css .='max-width: 100%;';
		$vw_job_board_custom_css .='}';
		$vw_job_board_custom_css .='.topbar{';
			$vw_job_board_custom_css .='border-bottom-left-radius: 0px; border-bottom-right-radius: 0px;';
		$vw_job_board_custom_css .='}';
		$vw_job_board_custom_css .='#slider, #slider img, #footer, #footer-2{';
			$vw_job_board_custom_css .='border-radius: 0px;';
		$vw_job_board_custom_css .='}';
		$vw_job_board_custom_css .='.main-header{';
			$vw_job_board_custom_css .='padding: 0px 20px 0px 20px;';
		$vw_job_board_custom_css .='}';
		$vw_job_board_custom_css .='#featured-job-section{';
			$vw_job_board_custom_css .='padding: 30px;';
		$vw_job_board_custom_css .='}';
	}

	/*------------------Slider Content Layout -------------------*/

	$vw_job_board_theme_lay = get_theme_mod( 'vw_job_board_slider_content_option','Left');
    if($vw_job_board_theme_lay == 'Left'){
		$vw_job_board_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1{';
			$vw_job_board_custom_css .='text-align:left; left:15%; right:45%;';
		$vw_job_board_custom_css .='}';
	}else if($vw_job_board_theme_lay == 'Center'){
		$vw_job_board_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1{';
			$vw_job_board_custom_css .='text-align:center; left:20%; right:20%;';
		$vw_job_board_custom_css .='}';
	}else if($vw_job_board_theme_lay == 'Right'){
		$vw_job_board_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1{';
			$vw_job_board_custom_css .='text-align:right; left:45%; right:15%;';
		$vw_job_board_custom_css .='}';
	}

	/*----------------Responsive Media -----------------------*/

	$vw_job_board_resp_slider = get_theme_mod( 'vw_job_board_resp_slider_hide_show',false);
	if($vw_job_board_resp_slider == true && get_theme_mod( 'vw_job_board_slider_hide_show', false) == false){
    	$vw_job_board_custom_css .='#slider{';
			$vw_job_board_custom_css .='display:none;';
		$vw_job_board_custom_css .='} ';
	}
    if($vw_job_board_resp_slider == true){
    	$vw_job_board_custom_css .='@media screen and (max-width:575px) {';
		$vw_job_board_custom_css .='#slider{';
			$vw_job_board_custom_css .='display:block;';
		$vw_job_board_custom_css .='} }';
	}else if($vw_job_board_resp_slider == false){
		$vw_job_board_custom_css .='@media screen and (max-width:575px) {';
		$vw_job_board_custom_css .='#slider{';
			$vw_job_board_custom_css .='display:none;';
		$vw_job_board_custom_css .='} }';
		$vw_job_board_custom_css .='@media screen and (max-width:575px){';
		$vw_job_board_custom_css .='.page-template-custom-home-page.admin-bar .homepageheader{';
			$vw_job_board_custom_css .='margin-top: 45px;';
		$vw_job_board_custom_css .='} }';
	}

	$vw_job_board_resp_sidebar = get_theme_mod( 'vw_job_board_sidebar_hide_show',true);
    if($vw_job_board_resp_sidebar == true){
    	$vw_job_board_custom_css .='@media screen and (max-width:575px) {';
		$vw_job_board_custom_css .='#sidebar{';
			$vw_job_board_custom_css .='display:block;';
		$vw_job_board_custom_css .='} }';
	}else if($vw_job_board_resp_sidebar == false){
		$vw_job_board_custom_css .='@media screen and (max-width:575px) {';
		$vw_job_board_custom_css .='#sidebar{';
			$vw_job_board_custom_css .='display:none;';
		$vw_job_board_custom_css .='} }';
	}

	$vw_job_board_resp_scroll_top = get_theme_mod( 'vw_job_board_resp_scroll_top_hide_show',true);
	if($vw_job_board_resp_scroll_top == true && get_theme_mod( 'vw_job_board_hide_show_scroll',true) == false){
    	$vw_job_board_custom_css .='.scrollup i{';
			$vw_job_board_custom_css .='visibility:hidden !important;';
		$vw_job_board_custom_css .='} ';
	}
    if($vw_job_board_resp_scroll_top == true){
    	$vw_job_board_custom_css .='@media screen and (max-width:575px) {';
		$vw_job_board_custom_css .='.scrollup i{';
			$vw_job_board_custom_css .='visibility:visible !important;';
		$vw_job_board_custom_css .='} }';
	}else if($vw_job_board_resp_scroll_top == false){
		$vw_job_board_custom_css .='@media screen and (max-width:575px){';
		$vw_job_board_custom_css .='.scrollup i{';
			$vw_job_board_custom_css .='visibility:hidden !important;';
		$vw_job_board_custom_css .='} }';
	}

	$vw_job_board_resp_menu_toggle_btn_bg_color = get_theme_mod('vw_job_board_resp_menu_toggle_btn_bg_color');
	if($vw_job_board_resp_menu_toggle_btn_bg_color != false){
		$vw_job_board_custom_css .='.toggle-nav i{';
			$vw_job_board_custom_css .='background: '.esc_attr($vw_job_board_resp_menu_toggle_btn_bg_color).';';
		$vw_job_board_custom_css .='}';
	}
	
	/*---------------- Button Settings ------------------*/

	$vw_job_board_button_border_radius = get_theme_mod('vw_job_board_button_border_radius');
	if($vw_job_board_button_border_radius != false){
		$vw_job_board_custom_css .='.post-main-box .more-btn a{';
			$vw_job_board_custom_css .='border-radius: '.esc_attr($vw_job_board_button_border_radius).'px;';
		$vw_job_board_custom_css .='}';
	}

	/*---------------------------Blog Layout -------------------*/

	$vw_job_board_theme_lay = get_theme_mod( 'vw_job_board_blog_layout_option','Default');
    if($vw_job_board_theme_lay == 'Default'){
		$vw_job_board_custom_css .='.post-main-box{';
			$vw_job_board_custom_css .='';
		$vw_job_board_custom_css .='}';
	}else if($vw_job_board_theme_lay == 'Center'){
		$vw_job_board_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn{';
			$vw_job_board_custom_css .='text-align:center;';
		$vw_job_board_custom_css .='}';
		$vw_job_board_custom_css .='.post-info{';
			$vw_job_board_custom_css .='margin-top:10px;';
		$vw_job_board_custom_css .='}';
		$vw_job_board_custom_css .='.post-info hr{';
			$vw_job_board_custom_css .='margin:15px auto;';
		$vw_job_board_custom_css .='}';
	}else if($vw_job_board_theme_lay == 'Left'){
		$vw_job_board_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn, #our-services p{';
			$vw_job_board_custom_css .='text-align:Left;';
		$vw_job_board_custom_css .='}';
		$vw_job_board_custom_css .='.post-info hr{';
			$vw_job_board_custom_css .='margin-bottom:10px;';
		$vw_job_board_custom_css .='}';
		$vw_job_board_custom_css .='.post-main-box h2{';
			$vw_job_board_custom_css .='margin-top:10px;';
		$vw_job_board_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/

	$vw_job_board_footer_widgets_heading = get_theme_mod( 'vw_job_board_footer_widgets_heading','Left');
    if($vw_job_board_footer_widgets_heading == 'Left'){
		$vw_job_board_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
		$vw_job_board_custom_css .='text-align: left;';
		$vw_job_board_custom_css .='}';
	}else if($vw_job_board_footer_widgets_heading == 'Center'){
		$vw_job_board_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$vw_job_board_custom_css .='text-align: center;';
		$vw_job_board_custom_css .='}';
	}else if($vw_job_board_footer_widgets_heading == 'Right'){
		$vw_job_board_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$vw_job_board_custom_css .='text-align: right;';
		$vw_job_board_custom_css .='}';
	}

	$vw_job_board_footer_widgets_content = get_theme_mod( 'vw_job_board_footer_widgets_content','Left');
    if($vw_job_board_footer_widgets_content == 'Left'){
		$vw_job_board_custom_css .='#footer .widget{';
		$vw_job_board_custom_css .='text-align: left;';
		$vw_job_board_custom_css .='}';
	}else if($vw_job_board_footer_widgets_content == 'Center'){
		$vw_job_board_custom_css .='#footer .widget{';
			$vw_job_board_custom_css .='text-align: center;';
		$vw_job_board_custom_css .='}';
	}else if($vw_job_board_footer_widgets_content == 'Right'){
		$vw_job_board_custom_css .='#footer .widget{';
			$vw_job_board_custom_css .='text-align: right;';
		$vw_job_board_custom_css .='}';
	}

	$vw_job_board_copyright_alingment = get_theme_mod('vw_job_board_copyright_alingment');
	if($vw_job_board_copyright_alingment != false){
		$vw_job_board_custom_css .='.copyright p{';
			$vw_job_board_custom_css .='text-align: '.esc_attr($vw_job_board_copyright_alingment).';';
		$vw_job_board_custom_css .='}';
	}

	$vw_job_board_footer_padding = get_theme_mod('vw_job_board_footer_padding');
	if($vw_job_board_footer_padding != false){
		$vw_job_board_custom_css .='#footer{';
			$vw_job_board_custom_css .='padding: '.esc_attr($vw_job_board_footer_padding).' 0;';
		$vw_job_board_custom_css .='}';
	}

	/*------------------ Logo  -------------------*/

	$vw_job_board_logo_padding = get_theme_mod('vw_job_board_logo_padding');
	if($vw_job_board_logo_padding != false){
		$vw_job_board_custom_css .='.main-header .logo{';
			$vw_job_board_custom_css .='padding: '.esc_attr($vw_job_board_logo_padding).';';
		$vw_job_board_custom_css .='}';
	}

	$vw_job_board_logo_margin = get_theme_mod('vw_job_board_logo_margin');
	if($vw_job_board_logo_margin != false){
		$vw_job_board_custom_css .='.main-header .logo{';
			$vw_job_board_custom_css .='margin: '.esc_attr($vw_job_board_logo_margin).';';
		$vw_job_board_custom_css .='}';
	}

	$vw_job_board_site_title_font_size = get_theme_mod('vw_job_board_site_title_font_size');
	if($vw_job_board_site_title_font_size != false){
		$vw_job_board_custom_css .='.logo h1, .logo p.site-title{';
			$vw_job_board_custom_css .='font-size: '.esc_attr($vw_job_board_site_title_font_size).';';
		$vw_job_board_custom_css .='}';
	}

	$vw_job_board_site_tagline_font_size = get_theme_mod('vw_job_board_site_tagline_font_size');
	if($vw_job_board_site_tagline_font_size != false){
		$vw_job_board_custom_css .='.logo p.site-description{';
			$vw_job_board_custom_css .='font-size: '.esc_attr($vw_job_board_site_tagline_font_size).';';
		$vw_job_board_custom_css .='}';
	}

	$vw_job_board_header_menus_color = get_theme_mod('vw_job_board_header_menus_color');
	if($vw_job_board_header_menus_color != false){
		$vw_job_board_custom_css .='.main-navigation a{';
			$vw_job_board_custom_css .='color: '.esc_attr($vw_job_board_header_menus_color).';';
		$vw_job_board_custom_css .='}';
	}

	$vw_job_board_header_menus_hover_color = get_theme_mod('vw_job_board_header_menus_hover_color');
	if($vw_job_board_header_menus_hover_color != false){
		$vw_job_board_custom_css .='.main-navigation a:hover{';
			$vw_job_board_custom_css .='color: '.esc_attr($vw_job_board_header_menus_hover_color).';';
		$vw_job_board_custom_css .='}';
	}

	$vw_job_board_header_submenus_color = get_theme_mod('vw_job_board_header_submenus_color');
	if($vw_job_board_header_submenus_color != false){
		$vw_job_board_custom_css .='.main-navigation ul ul a{';
			$vw_job_board_custom_css .='color: '.esc_attr($vw_job_board_header_submenus_color).';';
		$vw_job_board_custom_css .='}';
	}

	$vw_job_board_header_submenus_hover_color = get_theme_mod('vw_job_board_header_submenus_hover_color');
	if($vw_job_board_header_submenus_hover_color != false){
		$vw_job_board_custom_css .='.main-navigation ul.sub-menu a:hover{';
			$vw_job_board_custom_css .='color: '.esc_attr($vw_job_board_header_submenus_hover_color).';';
		$vw_job_board_custom_css .='}';
	}

	/*------------- Preloader Background Color  -------------------*/

	$vw_job_board_preloader_bg_color = get_theme_mod('vw_job_board_preloader_bg_color');
	if($vw_job_board_preloader_bg_color != false){
		$vw_job_board_custom_css .='#preloader{';
			$vw_job_board_custom_css .='background-color: '.esc_attr($vw_job_board_preloader_bg_color).';';
		$vw_job_board_custom_css .='}';
	}

	$vw_job_board_preloader_border_color = get_theme_mod('vw_job_board_preloader_border_color');
	if($vw_job_board_preloader_border_color != false){
		$vw_job_board_custom_css .='.loader-line{';
			$vw_job_board_custom_css .='border-color: '.esc_attr($vw_job_board_preloader_border_color).'!important;';
		$vw_job_board_custom_css .='}';
	}

	/*------------- Slider CSS  -------------------*/

	if(get_theme_mod('vw_job_board_slider_hide_show') == false){
		$vw_job_board_custom_css .=' .page-template-custom-home-page .main-header{';
				$vw_job_board_custom_css .='border-bottom: 1px solid #000;';
		$vw_job_board_custom_css .='}';
	}

	/*------------- Copyright Border Radius CSS -------------------*/

    if(is_active_sidebar( 'footer-1' ) || is_active_sidebar( 'footer-2' ) || is_active_sidebar( 'footer-3' ) || is_active_sidebar( 'footer-4' )){
		$vw_job_board_custom_css .='#footer-2{';
			$vw_job_board_custom_css .='border-top-left-radius: 0px;
    border-top-right-radius: 0px;';
		$vw_job_board_custom_css .='}';
	}

	/*---------------------------Slider Height ------------*/

	$vw_job_board_slider_height = get_theme_mod('vw_job_board_slider_height');
	if($vw_job_board_slider_height != false){
		$vw_job_board_custom_css .='#slider img{';
			$vw_job_board_custom_css .='height: '.esc_attr($vw_job_board_slider_height).';';
		$vw_job_board_custom_css .='}';
	}